Page MenuHomeFreeBSD

arm64: Support break and watch points in VHE
ClosedPublic

Authored by andrew on May 8 2024, 12:28 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jul 20, 12:24 PM
Unknown Object (File)
Sun, Jul 7, 7:29 AM
Unknown Object (File)
Wed, Jul 3, 1:53 AM
Unknown Object (File)
May 17 2024, 5:36 PM
Unknown Object (File)
May 11 2024, 6:47 PM
Unknown Object (File)
May 9 2024, 11:13 PM
Unknown Object (File)
May 9 2024, 8:01 PM
Unknown Object (File)
May 9 2024, 2:36 PM
Subscribers

Details

Summary

When booting the kernel with VHE it will be running at EL2. The current
config register values only enable the reaces at EL1 when tracing the
kernel.

Set the HMC flag to also trap from EL2.

Sponsored by: Arm Ltd

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.May 17 2024, 4:13 PM
This revision was automatically updated to reflect the committed changes.